      program convcols
C
C......................................................Apr 2023
C  Reorganise data to 1col for periodogram analysis
C
C
       CHARACTER*64 infile,outfile,txt
	DIMENSION dati(0:23)
	CHARACTER*6 YYMMDD
C
       infile='d:\web\dat0\23\gh2303.txt'
	outfile=infile
	outfile(23:25)='res'
	OPEN(10,file=infile,action='READ')
      OPEN(11,file=outfile)
	DO n=1,4
	read(10,*) txt
	enddo
   30 format(A6,24(1X,F4.2))
   31 format(F4.2)
C
      DO idy=1,31
	read(10,30,end=51) YYMMDD,(dati(k),k=0,23)
	DO iut=0,23
	write(11,31) dati(iut)
        ENDDO
	ENDDO
   51 close(10)
      close(11)
	pause ' '
	STOP
	END